using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using Microsoft.MediaCenter.UI;

namespace mceTapiRex
{
    public class BroadcastInfo
    {
        private String strChannelName;
        private Int32 intChannelID;
        private Int32 intEPGChannelID;
        private String strIcon;
        private Int32 intProviderID;
        private DateTime datStartDateTime;
        private DateTime datEndDateTime;        
        private Int32 intEPGBroadcastID;
        private Int32 intLength;
        private Int32 intDuration;
        private String strTitle;
        private String strSubtitle;
        private String strOrigTitle;
        private String strLanguage;
        private String strOrigLanguage;
        private String strVPS;
        private String strProductionCountry;
        private String strProductionYear;
        private String strCategory;
        private String strSubcategory;
        private Int32 intCategoryID;
        private Int32 intSubcategoryID;
        private String strDirectors;
        private String strActors;
        private String strWriters;
        private String strAdapters;
        private String strProducers;
        private String strPresenters;
        private String strCommentators;
        private String strGuests;
        private String strInfoLong;
        private String strInfoShort;
        private String strInfoReview;
        private String strKeywords;
        private String strURL;
        private String strImage;
        private String strImageCopyright;
        private String strSeriesNumber;
        private String strAspectRatio;
        private Boolean blnLive;
        private Boolean blnBlackAndWhite;
        private Boolean blnRadio;
        private Boolean blnSubtitles;
        private String strAudio;
        private Int32 intRating;
        private Int32 intScore;
        private Int32 intStarScore;
        private Int32 intTVTVScore;
        private Int32 intSceneoScore;
        private Int32 intZapFlag;
        private Int32 intRecordFlag;
        private Int32 intExtDevice;
        private Int32 intProfileID;
        private Int32 intPaddingBefore;
        private Int32 intPaddingAfter;
        private Int32 intCutListAvailable;
        private Int32 intRecFormat;

        public String ChannelName
        {
            get { return strChannelName; }
            set { strChannelName = value; }
        }
        public Int32 ChannelID
        {
            get { return intChannelID; }
            set { intChannelID = value; }
        }
        public Int32 EPGChannelID
        {
            get { return intEPGChannelID; }
            set { intEPGChannelID = value; }
        }
        public String Icon
        {
            get { return strIcon; }
            set { strIcon = value; }
        }
        public Int32 ProviderID
        {
            get { return intProviderID; }
            set { intProviderID = value; }
        }
        public DateTime StartDateTime
        {
            get { return datStartDateTime; }
            set { datStartDateTime = value; }
        }
        public DateTime EndDateTime
        {
            get { return datEndDateTime; }
            set { datEndDateTime = value; }
        }
        public Int32 EPGBroadcastID
        {
            get { return intEPGBroadcastID; }
            set { intEPGBroadcastID = value; }
        }
        public Int32 Length
        {
            get { return intLength; }
            set { intLength = value; }
        }
        public Int32 Duration
        {
            get { return intDuration; }
            set { intDuration = value; }
        }
        public String Title
        {
            get { return strTitle; }
            set { strTitle = value; }
        }
        public String Subtitle
        {
            get { return strSubtitle; }
            set { strSubtitle = value; }
        }
        public String OrigTitle
        {
            get { return strOrigTitle; }
            set { strOrigTitle = value; }
        }
        public String Language
        {
            get { return strLanguage; }
            set { strLanguage = value; }
        }
        public String OrigLanguage
        {
            get { return strOrigLanguage; }
            set { strOrigLanguage = value; }
        }
        public String VPS
        {
            get { return strVPS; }
            set { strVPS = value; }
        }
        public String ProductionCountry
        {
            get { return strProductionCountry; }
            set { strProductionCountry = value; }
        }
        public String ProductionYear
        {
            get { return strProductionYear; }
            set { strProductionYear = value; }
        }
        public String Category
        {
            get { return strCategory; }
            set { strCategory = value; }
        }
        public String Subcategory
        {
            get { return strSubcategory; }
            set { strSubcategory = value; }
        }
        public Int32 CategoryID
        {
            get { return intCategoryID; }
            set { intCategoryID = value; }
        }
        public Int32 SubcategoryID
        {
            get { return intSubcategoryID; }
            set { intSubcategoryID = value; }
        }
        public String Directors
        {
            get { return strDirectors; }
            set { strDirectors = value; }
        }
        public String Actors
        {
            get { return strActors; }
            set { strActors = value; }
        }
        public String Writers
        {
            get { return strWriters; }
            set { strWriters = value; }
        }
        public String Adapters
        {
            get { return strAdapters; }
            set { strAdapters = value; }
        }
        public String Producers
        {
            get { return strProducers; }
            set { strProducers = value; }
        }
        public String Presenters
        {
            get { return strPresenters; }
            set { strPresenters = value; }
        }
        public String Commentators
        {
            get { return strCommentators; }
            set { strCommentators = value; }
        }
        public String Guests
        {
            get { return strGuests; }
            set { strGuests = value; }
        }
        public String InfoLong
        {
            get { return strInfoLong; }
            set { strInfoLong = value; }
        }
        public String InfoShort
        {
            get { return strInfoShort; }
            set { strInfoShort = value; }
        }
        public String InfoReview
        {
            get { return strInfoReview; }
            set { strInfoReview = value; }
        }
        public String Keywords
        {
            get { return strKeywords; }
            set { strKeywords = value; }
        }
        public String URL
        {
            get { return strURL; }
            set { strURL = value; }
        }
        public String Image
        {
            get { return strImage; }
            set { strImage = value; }
        }
        public String ImageCopyright
        {
            get { return strImageCopyright; }
            set { strImageCopyright = value; }
        }
        public String SeriesNumber
        {
            get { return strSeriesNumber; }
            set { strSeriesNumber = value; }
        }
        public String AspectRatio
        {
            get { return strAspectRatio; }
            set { strAspectRatio = value; }
        }
        public Boolean Live
        {
            get { return blnLive; }
            set { blnLive = value; }
        }
        public Boolean BlackAndWhite
        {
            get { return blnBlackAndWhite; }
            set { blnBlackAndWhite = value; }
        }
        public Boolean Radio
        {
            get { return blnRadio; }
            set { blnRadio = value; }
        }
        public Boolean Subtitles
        {
            get { return blnSubtitles; }
            set { blnSubtitles = value; }
        }
        public String Audio
        {
            get { return strAudio; }
            set { strAudio = value; }
        }
        public Int32 Rating
        {
            get { return intRating; }
            set { intRating = value; }
        }
        public Int32 Score
        {
            get { return intScore; }
            set { intScore = value; }
        }
        public Int32 StarScore
        {
            get { return intStarScore; }
            set { intStarScore = value; }
        }
        public Int32 TVTVScore
        {
            get { return intTVTVScore; }
            set { intTVTVScore = value; }
        }
        public Int32 SceneoScore
        {
            get { return intSceneoScore; }
            set { intSceneoScore = value; }
        }
        public Int32 ZapFlag
        {
            get { return intZapFlag; }
            set { intZapFlag = value; }
        }
        public Int32 RecordFlag
        {
            get { return intRecordFlag; }
            set { intRecordFlag = value; }
        }
        public Int32 ExtDevice
        {
            get { return intExtDevice; }
            set { intExtDevice = value; }
        }
        public Int32 ProfileID
        {
            get { return intProfileID; }
            set { intProfileID = value; }
        }
        public Int32 PaddingBefore
        {
            get { return intPaddingBefore; }
            set { intPaddingBefore = value; }
        }
        public Int32 PaddingAfter
        {
            get { return intPaddingAfter; }
            set { intPaddingAfter = value; }
        }
        public Int32 CutListAvailable
        {
            get { return intCutListAvailable; }
            set { intCutListAvailable = value; }
        }
        public Int32 RecFormat
        {
            get { return intRecFormat; }
            set { intRecFormat = value; }
        }

        public Image MCImage
        {
            get { return new Image(@"file://C:\Program Files\Sceneo\Bonavista\Skins\v5.0\channellogos\" + this.Icon); }
        }
        
    }
}
