/*
 *Copyright (c) 2008, Scendix Software, Inc.
 * 
 */
using System;
using System.Collections;

using Microsoft.MediaCenter.UI;


namespace mceTapiRexv2
{
    /// <summary>
    /// This object contains the standard set of information displayed in the 
    /// details page UI.
    /// </summary>
    public class DetailsPage : ModelItem
    {
        /// <summary>
        /// The primary title of the object.
        /// </summary>
        public int CallID
        {
            get { return callid; }
            set
            {
                if (callid != value)
                {
                    callid = value;
                    FirePropertyChanged("CallID");
                }
            }
        }
        private int callid;
    }
}
