#define AppVer "0.0.3"
#define EntryPoint "{{39834BA8-5B7B-4cfe-8429-8AB02EF51A85}}"
#define AppId "{{9e568ee3-96a2-4de9-b1e8-0632a9e37068}"
#define AppName "mceTapiRexv2"
#define AddIn "mceTapiRexv2.Plugin,mceTapiRexv2,Culture=Neutral,version=2.0.0.0,PublicKeyToken=82ef2cb03d8d826d"

[Setup]
AppName=mceTapiRexv2
AppVerName=mceTapiRexv2 {#AppVer}
AppPublisher=Scendix Software  Inc.
AppPublisherURL=http://www.scendix.de
AppSupportURL=http://www.scendix.de
AppUpdatesURL=http://www.scendix.de
AppCopyright= Scendix Software, Inc., since 2007
AppVersion={#AppVer}

DefaultDirName={pf}\mceTapiRexv2
DefaultGroupName=mceTapiRexv2
AllowNoIcons=yes
OutputDir=.
OutputBaseFilename=mceTapiRexv2
SetupIconFile=setup.ico
Compression=lzma
SolidCompression=yes
WizardImageFile=WizModernImage.bmp
DisableStartupPrompt=true
AlwaysUsePersonalGroup=false
UninstallDisplayName=mceTapiRexv2 {#AppVer}
ChangesAssociations=false
InternalCompressLevel=ultra
VersionInfoVersion={#AppVer}
VersionInfoCompany=Scendix Software, Inc.
AppID={{9e568ee3-96a2-4de9-b1e8-0632a9e37068}
VersionInfoTextVersion={#AppVer}
UninstallDisplayIcon={app}\icon.ico
DisableReadyPage=true
TimeStampRounding=0
PrivilegesRequired=poweruser
DisableProgramGroupPage=true


[INI]
Filename: {app}\Internet shortcut.url; Section: InternetShortcut; Key: URL; String: http://www.scendix.de Flags: uninsdeleteentry

[Icons]
Name: {group}\{cm:ProgramOnTheWeb}; Filename: {app}\Internet shortcut.url
Name: {group}\{cm:UninstallProgram}; Filename: {uninstallexe}

[Files]
Source: ..\App.xml; DestDir: {app}
Source: ..\langdata.mdb; DestDir: {app}
;Source: ..\bin\Debug\mceTapiRexv2.dll; DestDir: {win}\eHome
Source: ..\bin\Debug\mceTapiRexv2.dll; DestDir: {tmp}
Source: ..\bin\Debug\Interop.SKYPE4COMLib.dll; DestDir: {tmp}
Source: ..\bin\Debug\Interop.Redemption.dll; DestDir: {tmp}
Source: ..\obj\Debug\Interop.TapiRex.dll; DestDir: {tmp}
Source: ..\setup\NetInstallHelper.exe; DestDir: {app}
Source: ..\Images\AppIcon.png; DestDir: {app}\Images
Source: ..\Images\Contacts.png; DestDir: {app}\Images
Source: ..\Images\scendix.png; DestDir: {app}\Images

[Run]
Filename: {app}\NetInstallHelper.exe; Parameters: gacinstall {tmp}\mceTapiRexv2.dll; StatusMsg: "Registering mceTapiRexv2 library"
Filename: {app}\NetInstallHelper.exe; Parameters: gacinstall {tmp}\Interop.SKYPE4COMLib.dll;  StatusMsg: "Registering SKYPE4COM library"
Filename: {app}\NetInstallHelper.exe; Parameters: gacinstall {tmp}\Interop.Redemption.dll; StatusMsg: "Registering Outlook Redemption library"
Filename: {app}\NetInstallHelper.exe; Parameters: gacinstall {tmp}\Interop.TapiRex.dll; StatusMsg: "Registering TapiRex library"
Filename: {win}\eHome\RegisterMceApp.exe; Parameters: "/u ""{app}\App.xml"""; Flags: runhidden; StatusMsg: "Unregister Mce Application library"
Filename: {win}\eHome\RegisterMceApp.exe; Parameters: "/allusers ""{app}\App.xml"""; Flags: runhidden; StatusMsg: "Register Mce Application library"
Filename: {win}\eHome\ehshell.exe; Parameters: /entrypoint:{#AppId}\{#Entrypoint}; Description: {cm:runnow}; Flags: postinstall skipifsilent nowait


[Registry]
Root: HKCU; Subkey: Software\Classes\VirtualStore\MACHINE\SOFTWARE\Scendix\; Flags: deletekey uninsdeletekey
Root: HKCU; Subkey: Software\Classes\VirtualStore\MACHINE\SOFTWARE\Scendix\mceTapiRexv2; Flags: deletekey uninsdeletekey

Root: HKLM; Subkey: Software\Scendix\mceTapiRexv2; Flags: uninsdeletekey; Permissions: users-modify
;Root: HKLM; SubKey: Software\Scendix\mceTapiRexv2; ValueType: string; ValueName: Log; ValueData: false
Root: HKLM; SubKey: Software\Scendix\mceTapiRexv2; ValueType: string; ValueName: InstallDir; ValueData: {app}\ ; Flags: uninsdeletekey
Root: HKLM; SubKey: Software\Scendix\mceTapiRexv2; ValueType: string; ValueName: LanguageColumn; ValueData: Native ; Flags: uninsdeletekey

; add item to mce startmenu
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Start Menu\Applications\{#AppId}; ValueType: string; ValueName: Title; ValueData: {#AppName}; Flags: uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Start Menu\Applications\{#AppId}; ValueType: string; ValueName: Category; ValueData: "Scendix\MceTapiRexV2"; Flags: uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Start Menu\Applications\{#AppId}; ValueType: string; ValueName: OnStartMenu; ValueData: "True" ; Flags: uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Start Menu\Applications\{#AppId}; ValueType: dword; ValueName: TimeStamp; ValueData:  $086f4360; Flags: uninsdeletekey


;link entrpoints
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\Categories\Scendix\MceTapiRexV2\{{39834BA8-5B7B-4cfe-8429-8AB02EF51A85}; Flags: deletekey uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\Categories\Scendix\MceTapiRexV2\{{39834BA8-5B7B-4cfe-8429-8AB02EF51A85}; ValueType: dword; ValueName: TimeStamp ; ValueData:  $086f4358 ; Flags: uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\Categories\Scendix\MceTapiRexV2\{{39834BA8-5B7B-4cfe-8429-8AB02EF51A86}; Flags: deletekey uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\Categories\Scendix\MceTapiRexV2\{{39834BA8-5B7B-4cfe-8429-8AB02EF51A86}; ValueType: dword; ValueName: TimeStamp; ValueData:  $086f4359; Flags: uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\Categories\Scendix\MceTapiRexV2\{{39834BA8-5B7B-4cfe-8429-8AB02EF51A87}; Flags: deletekey uninsdeletekey
Root: HKLM; SubKey: SOFTWARE\Microsoft\Windows\CurrentVersion\Media Center\Extensibility\Categories\Scendix\MceTapiRexV2\{{39834BA8-5B7B-4cfe-8429-8AB02EF51A87}; ValueType: dword; ValueName: TimeStamp; ValueData:  $086f4360; Flags: uninsdeletekey





[UninstallRun]
Filename: {win}\eHome\RegisterMceApp.exe; Parameters: "/u ""{app}\App.xml"""; Flags: runhidden
Filename: {win}\eHome\RegisterMceApp.exe; Parameters: "/u /allusers ""{app}\App.xml"""; Flags: runhidden

[UninstallDelete]
;Type: files; Name: {app}\Internet shortcut.url


[Dirs]
;Name: {app}; Permissions: users-full


[CustomMessages]
runnow=Run now in MCE
ProgramOnTheWeb=Homepage
UninstallProgram=Uninstall
VistaMCErequired=This software requires Vista Media Center (e.g. Vista Home Premium or Vista Ultimate).
mcestillrunning=Please stop MCE before installation.

[Code]
function IsMCEVista(): Boolean;
var
 mcVersion: string;
begin
 RegQueryStringValue(HKLM, 'Software\Microsoft\Windows\CurrentVersion\Media Center', 'Ident', mcVersion);
 if (Pos('5.', mcVersion) = 1) then
 begin
  Result := true;
  exit;
 end;
end;

function InitializeSetup(): Boolean;
begin
	if not IsMCEVista() then
	begin
		MsgBox(ExpandConstant('{cm:VistaMCErequired}'), mbInformation, MB_OK );
		Result := false;
		exit;
	end;

	{ MCE still running ? }
	if FindWindowByClassName('eHome Render Window') <> 0 then
	begin
		MsgBox(ExpandConstant('{cm:mcestillrunning}'), mbInformation, MB_OK );
		Result := false;
		exit;
	end;
	Result := true;
end;

function NextButtonClick(CurPageID: Integer): Boolean;
var
	sUrl: String;
	ErrorCode: Integer;
begin
	// MsgBox('NextButtonClick: ' + IntToStr(CurPageID), mbInformation, MB_OK);

	case CurPageID of
	14:
	begin
		// open welcome website
		sUrl := 'http://www.scendix.de/welcome.php?prog=mceTapiRexv2&ver={#AppVer}';
		ShellExec('open', sUrl, '', '', SW_SHOWNORMAL, ewNoWait, ErrorCode);
		Result := True;
	end;
	else
		Result := True;
	end;
end;
